From d8b4eb04a7d0e6d30b654fd1d789935c56c7b6c6 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Fri, 3 Feb 2012 15:25:00 -0600
Subject: Pluggable post processor.

---
 grade/report/quick_edit/classes/lib.php       |   13 +++++++++++++
 grade/report/quick_edit/screens/grade/lib.php |   11 +++++------
 2 files changed, 18 insertions(+), 6 deletions(-)

diff --git a/grade/report/quick_edit/classes/lib.php b/grade/report/quick_edit/classes/lib.php
index be2f623..b46998a 100644
--- a/grade/report/quick_edit/classes/lib.php
+++ b/grade/report/quick_edit/classes/lib.php
@@ -1,5 +1,14 @@
 <?php
 
+abstract class post_processor {
+    abstract class function handle($data);
+}
+
+class quick_edit_grade_processor extends post_processor {
+    function handle($data) {
+    }
+}
+
 abstract class quick_edit_screen {
     var $courseid;
 
@@ -176,4 +185,8 @@ abstract class quick_edit_screen {
     public abstract function init();
 
     public abstract function html();
+
+    public function processor() {
+        return new quick_edit_grade_processor();
+    }
 }
diff --git a/grade/report/quick_edit/screens/grade/lib.php b/grade/report/quick_edit/screens/grade/lib.php
index eaa1833..39e3e9b 100644
--- a/grade/report/quick_edit/screens/grade/lib.php
+++ b/grade/report/quick_edit/screens/grade/lib.php
@@ -5,11 +5,10 @@ class quick_edit_grade extends quick_edit_screen {
     private $requires_extra;
 
     public function init() {
-        $add = $this->itemid ?
-            array('id' => $this->itemid) :
-            array('itemtype' => 'manual');
-
-        $params = array('courseid' => $this->courseid) + $add;
+        $params = array(
+            'id' => $this->itemid,
+            'courseid' => $this->courseid
+        );
 
         $roleids = explode(',', get_config('moodle', 'gradebookroles'));
 
@@ -18,7 +17,7 @@ class quick_edit_grade extends quick_edit_screen {
         $this->users = get_role_users($roleids, $this->context, false, '',
             'u.lastname, u.firstname', null, $this->groupid);
 
-        $this->requires_extra = $this->item->itemtype != 'manual';
+        $this->requires_extra = !$this->item->is_manual_item();
     }
 
     public function html() {
-- 
1.7.1


